org.apache.ignite.internal.processors.platform

## Interface PlatformBootstrap

All Known Implementing Classes:
  PlatformAbstractBootstrap, PlatformCppBootstrap, PlatformDotNetBootstrap

    public interface PlatformBootstrap

Platform bootstrap. Responsible for starting Ignite node with non-Java platform.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `init(long dataPtr)` Init the bootstrap.
`PlatformProcessor` `start(IgniteConfiguration cfg, GridSpringResourceContext springCtx, long envPtr)` Start Ignite node.

### Method Detail

#### start

    PlatformProcessor start(IgniteConfiguration cfg,
                            @Nullable
                            GridSpringResourceContext springCtx,
                            long envPtr)

Start Ignite node.

Parameters:
  `cfg` - Configuration.
  `springCtx` - Optional Spring resource context.
  `envPtr` - Environment pointer.
Returns:
  Platform processor.

#### init

    void init(long dataPtr)

Init the bootstrap.

Parameters:
  `dataPtr` - Optional pointer to additional data required for startup.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018